--- title: "Get bucket list" slug: "analytics-cloudloganalytics-getbucketlist" tags: ["Cloud Log Analytics"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/analytics-cloudloganalytics-getbucketlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get bucket list Available in Classic and VPC Get the list of available Object Storage buckets when exporting logs retrieved from the Cloud Log Analytics service. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/{regionCode}-v1/export/buckets | ### Request headers For information about the headers common to all Cloud Log Analytics APIs, see [Cloud Log Analytics request headers](/docs/en/analytics-cloudloganalytics#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Required | Region code - `kr` \| `sgn` \| `jpn` \| `uswn` \| `den` - `kr`: Korea Region - `sgn`: Singapore Region - `jpn`: Japan Region - `uswn`: US West Region - `den`: Germany Region | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cloudloganalytics.apigw.ntruss.com/api/{regionCode}-v1/export/buckets' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response status codes | | `message` | String | - | Response status message | | `result` | Object | - | Response result | | `result.memberNo` | Integer | - | User's NAVER Cloud Platform member ID | | `result.returnCode` | Integer | - | Return code | | `result.subAccountNo` | Integer | - | Sub account number | | `result.returnMsg` | String | - | Return message | | `result.boxUsage` | Integer | - | Bucket usage | | `result.regionNo` | String | - | Region number | | `result.bucketList` | Array | - | Object Storage bucket list: [bucketList](/docs/en/analytics-cloudloganalytics-getbucketlist#bucketList) | ### `bucketList` The following describes `bucketList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | Integer | - | Bucket name | | `bytesUsed` | Integer | - | Used bucket capacity | | `storageLocation` | String | - | Bucket location | | `objectCount` | Integer | - | Number of objects | | `creationTime` | String | - | Bucket creation date | ### Response status codes For information about the HTTP status codes common to all Cloud Log Analytics APIs, see [Cloud Log Analytics response status codes](/docs/en/analytics-cloudloganalytics#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "The request has been successfully processed.", "result": { "memberNo": "*******", "returnCode": null, "subAccountNo": null, "returnMsg": null, "boxUsage": null, "regionNo": "1", "bucketList": [ { "name": "test.cla", "bytesUsed": 526150, "storageLocation": "KR-Container", "objectCount": 6, "creationTime": 1729491347694 } ] } } ```